@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

$shape-top-x: 14px;
$shape-top-y: -74px;
$shape-top-rotation: -46deg;

.column-separator {
  font-size: 12px;
  position: relative;
  display: flex;
  flex-direction: column;
  width: 70px;
  height: 100%;

  .column-separator-top {
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    width: 140px;
    height: 50px;
    transform:
      translateX($shape-top-x)
      translateY($shape-top-y)
      rotateZ($shape-top-rotation);

    .column-separator-top-line {
      width: 30px;
      border-top-width: 4px;
      border-top-style: solid;
    }
  }

  .column-separator-label {
    margin-left: 8px;
    text-transform: uppercase;
    text-rendering: optimizelegibility;
    user-select: none;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  .column-separator-bottom {
    display: flex;
    justify-content: center;
    height: 100%;

    .column-separator-bottom-line {
      height: 100%;
      border-left-width: 4px;
      border-left-style: solid;
    }
  }
}

@include themify("column-separator", $themes) {
  font-family: themed("font-family");

  .column-separator-label {
    font-family: themed("font-family");
    color: themed("item-text");
  }
}
